## ros-kinetic-stdr-gui 0.3.2

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.3)
project(stdr_gui)

find_package(catkin REQUIRED COMPONENTS
  roscpp
  roslib
  tf
  stdr_msgs
  stdr_server
  stdr_robot
  stdr_parser
  sensor_msgs
  nav_msgs
)

include_directories( include
  ${catkin_INCLUDE_DIRS}
)

find_package(Qt4 REQUIRED COMPONENTS
  QtCore
  QtGui
  QtUiTools
)

ADD_DEFINITIONS(-DQT_NO_KEYWORDS)

include(${QT_USE_FILE})

include_directories(
  ${CMAKE_CURRENT_BINARY_DIR}
)

catkin_package(
  DEPENDS
    QT
  CATKIN_DEPENDS
    roscpp
    roslib
    tf
    stdr_msgs
    stdr_server
    stdr_robot
    stdr_parser
    sensor_msgs
    nav_msgs
  #INCLUDE_DIRS
  #LIBRARIES
)

#----------------------------------------------------------------------------------------------------#
set(QT_FORMS
  ui/information.ui             ui/kinematicProperties.ui
  ui/laserProperties.ui         ui/laserVisualization.ui
  ui/map.ui                     ui/rfidAntennaProperties.ui
  ui/robotCreator.ui            ui/robotFootprint.ui
  ui/robotProperties.ui         ui/robotVisualization.ui
  ui/simulator.ui               ui/sonarProperties.ui
  ui/sonarVisualization.ui      ui/co2SensorProperties.ui
  ui/thermalSensorProperties.ui ui/soundSensorProperties.ui
)

QT4_WRAP_UI(QT_FORMS_HPP ${QT_FORMS})

QT_WRAP_CPP(stdr_gui_node SAMPLE_MOC_SRCS include/stdr_gui/stdr_gui_controller.h)
QT_WRAP_CPP(stdr_gui_node SAMPLE_MOC_SRCS include/stdr_gui/stdr_gui_connector.h)
QT_WRAP_CPP(stdr_gui_node SAMPLE_MOC_SRCS include/stdr_gui/stdr_info_connector.h)
QT_WRAP_CPP(stdr_gui_node SAMPLE_MOC_SRCS include/stdr_gui/stdr_map_connector.h)
QT_WRAP_CPP(stdr_gui_node SAMPLE_MOC_SRCS include/stdr_gui/stdr_robot_creator/stdr_robot_creator_connector.h)

#----------------------------------------------------------------------------------------------------#

#~ set(CMAKE_BUILD_TYPE Debug)
set(CMAKE_BUILD_TYPE Release)

add_executable(stdr_gui_node
  src/stdr_gui/stdr_gui_node.cpp
  src/stdr_gui/stdr_gui_application.cpp
  src/stdr_gui/stdr_gui_connector.cpp
  src/stdr_gui/stdr_gui_loader.cpp
  src/stdr_gui/stdr_gui_controller.cpp
  src/stdr_gui/stdr_info_connector.cpp
  src/stdr_gui/stdr_info_loader.cpp
  src/stdr_gui/stdr_map_connector.cpp
  src/stdr_gui/stdr_map_loader.cpp
  src/stdr_gui/stdr_tools.cpp
  src/stdr_gui/stdr_robot_creator/stdr_kinematic_properties_loader.cpp
  src/stdr_gui/stdr_robot_creator/stdr_laser_properties_loader.cpp
  src/stdr_gui/stdr_robot_creator/stdr_sonar_properties_loader.cpp
  src/stdr_gui/stdr_robot_creator/stdr_robot_properties_loader.cpp
  src/stdr_gui/stdr_robot_creator/stdr_robot_footprint_loader.cpp
  src/stdr_gui/stdr_robot_creator/stdr_rfid_antenna_properties_loader.cpp
  src/stdr_gui/stdr_robot_creator/stdr_co2_sensor_properties_loader.cpp
  src/stdr_gui/stdr_robot_creator/stdr_thermal_sensor_properties_loader.cpp
  src/stdr_gui/stdr_robot_creator/stdr_sound_sensor_properties_loader.cpp
  src/stdr_gui/stdr_robot_creator/stdr_robot_creator_loader.cpp
  src/stdr_gui/stdr_robot_creator/stdr_robot_creator_connector.cpp
  src/stdr_gui/stdr_gui_sensors/stdr_gui_robot.cpp
  src/stdr_gui/stdr_gui_sensors/stdr_gui_laser.cpp
  src/stdr_gui/stdr_gui_sensors/stdr_gui_sonar.cpp
  src/stdr_gui/stdr_gui_sensors/stdr_gui_rfid.cpp
  src/stdr_gui/stdr_gui_sensors/stdr_gui_co2.cpp
  src/stdr_gui/stdr_gui_sensors/stdr_gui_thermal.cpp
  src/stdr_gui/stdr_gui_sensors/stdr_gui_sound.cpp
  src/stdr_gui/stdr_visualization/stdr_laser_visualization.cpp
  src/stdr_gui/stdr_visualization/stdr_sonar_visualization.cpp
  src/stdr_gui/stdr_visualization/stdr_robot_visualization.cpp
  src/stdr_gui/stdr_map_metainformation/stdr_gui_source.cpp
  src/stdr_gui/stdr_map_metainformation/stdr_gui_co2_source.cpp
  src/stdr_gui/stdr_map_metainformation/stdr_gui_thermal_source.cpp
  src/stdr_gui/stdr_map_metainformation/stdr_gui_rfid_tag.cpp
  src/stdr_gui/stdr_map_metainformation/stdr_gui_sound_source.cpp
  ${QT_FORMS_HPP} ${SAMPLE_MOC_SRCS}
)
add_dependencies(stdr_gui_node ${stdr_msgs_EXPORTED_TARGETS})  # Wait for stdr_msgs to build
target_link_libraries(stdr_gui_node
  ${catkin_LIBRARIES}
  ${QT_LIBRARIES}
)

# Install launch files
install(DIRECTORY launch resources
  DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}
)

# Install excecutables
install(TARGETS stdr_gui_node
  RUNTIME DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION}
)

=== debian/changelog ===
ros-kinetic-stdr-gui (0.3.2-0xenial) xenial; urgency=high

  * Fix cmakes, no more cmake warnings

 -- Chris Zalidis <zalidis@gmail.com>  Mon, 06 Feb 2017 08:00:00 -0000

ros-kinetic-stdr-gui (0.3.1-0xenial) xenial; urgency=high



 -- Chris Zalidis <zalidis@gmail.com>  Mon, 18 Jul 2016 07:00:00 -0000

ros-kinetic-stdr-gui (0.3.0-0xenial) xenial; urgency=high

  * Migrate to package format 2, fix dependency issues
  * Refactoring in sources classes, using better astraction
  * Support for omni motion controller in robot creator
  * Kinematic model appears in info panel

 -- Chris Zalidis <zalidis@gmail.com>  Mon, 18 Jul 2016 07:00:00 -0000

ros-kinetic-stdr-gui (0.2.0-0xenial) xenial; urgency=high

  * Feedback added in case of double frame ids
  * Fixes #140 <https://github.com/stdr-simulator-ros-pkg/stdr_simulator/issues/140>
  * Added zoom movement by keyboard arrows.
  * Fixes #146 <https://github.com/stdr-simulator-ros-pkg/stdr_simulator/issues/146>
  * GUI application now closes with SINGINT
  * CO2 sensors work
  * Sound sensors working
  * Thermal sensors are working. They return the larger temperature in their span
  * Added dummy gui functions for sound sources
  * Full RFID tag and readers support
  * RFID reader visibility status works
  * Rfid antennas visible in information tree
  * RFID reader sensor works.
  * Deletion of RFID tags supported
  * Added click event in GUI for rfid tags
  * Changed the robot label size to be equal to the frame_id size
  * Rfid tags inserted from GUI and shown with their ids

 -- Chris Zalidis <zalidis@gmail.com>  Fri, 25 Jul 2014 07:00:00 -0000

ros-kinetic-stdr-gui (0.1.3-0xenial) xenial; urgency=high

  * fixed #143 <https://github.com/stdr-simulator-ros-pkg/stdr_simulator/issues/143>
  * fixed #142 <https://github.com/stdr-simulator-ros-pkg/stdr_simulator/issues/142>
  * fixed #125 <https://github.com/stdr-simulator-ros-pkg/stdr_simulator/issues/125>
  * fixed #141 <https://github.com/stdr-simulator-ros-pkg/stdr_simulator/issues/141>
  * Fixed glob in CMakeLists.txt
  * Load and save robot in robot creator works
  * Robot creator works with footprint points
  * Zoom in GUI is now performed with mouse wheel
  * Added antialiasing to robot draw in gui
  * Polygon robots appear in gui as they should.

 -- Chris Zalidis <zalidis@gmail.com>  Tue, 25 Mar 2014 07:00:00 -0000

ros-kinetic-stdr-gui (0.1.2-0xenial) xenial; urgency=high

  * Minor changes. Added message when relocation is not possible.
  * Different labels for add and create robot

 -- Chris Zalidis <zalidis@gmail.com>  Sun, 09 Mar 2014 08:00:00 -0000

ros-kinetic-stdr-gui (0.1.1-0xenial) xenial; urgency=high



 -- Chris Zalidis <zalidis@gmail.com>  Mon, 10 Feb 2014 08:00:00 -0000

ros-kinetic-stdr-gui (0.1.0-0xenial) xenial; urgency=high

  * first public release for Hydro

 -- Chris Zalidis <zalidis@gmail.com>  Thu, 06 Feb 2014 08:00:00 -0000

=== debian/control ===
Source: ros-kinetic-stdr-gui
Section: misc
Priority: extra
Maintainer: Chris Zalidis <zalidis@gmail.com>
Build-Depends: debhelper (>= 9.0.0), libqt4-dev, ros-kinetic-catkin, ros-kinetic-nav-msgs, ros-kinetic-roscpp, ros-kinetic-roslib, ros-kinetic-sensor-msgs, ros-kinetic-stdr-msgs, ros-kinetic-stdr-parser, ros-kinetic-stdr-robot, ros-kinetic-stdr-server, ros-kinetic-tf
Homepage: http://stdr-simulator-ros-pkg.github.io
Standards-Version: 3.9.2

Package: ros-kinetic-stdr-gui
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libqt4-dbus, libqt4-network, libqt4-script, libqt4-test, libqt4-xml, libqtcore4, ros-kinetic-nav-msgs, ros-kinetic-roscpp, ros-kinetic-roslib, ros-kinetic-sensor-msgs, ros-kinetic-stdr-msgs, ros-kinetic-stdr-parser, ros-kinetic-stdr-robot, ros-kinetic-stdr-server, ros-kinetic-tf
Description: A gui in Qt for visualizing purposes in STDR Simulator.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
export DH_OPTIONS=-v --buildsystem=cmake
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/kinetic/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh  $@

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/kinetic" \
		-DCMAKE_PREFIX_PATH="/opt/ros/kinetic"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-kinetic-stdr-gui//opt/ros/kinetic/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_install
